%define name python-twisted-conch
%define version 10.0.0
%define release %mkrel 1
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

%define progname TwistedConch

Summary:        An SSH and SFTP protocol implementation together with clients and servers
Name:           %name
Version:        %version
Release:        %release
Source0:        http://tmrc.mit.edu/mirror/twisted/Conch/%{mainver}/%{progname}-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/conch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core
Requires:	pyasn1

%description
Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to
allow everything from TCP forwarding to generic filesystem access. Since
conch is written in Python, it interfaces well with other Python projects,
such as Imagination.
Conch also includes a implementations of the telnet and vt102 protocols, as
well as support for rudamentary line editing behaviors.

A new implementation of Twisted's Manhole application is also included,
featuring server-side input history and interactive syntax coloring.

%prep
echo %mainver
%setup -q -n %{progname}-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot --install-purelib=%py_platsitedir

%__install -d                      %buildroot%_mandir/man1
%__install -m 644 doc/man/*.1      %buildroot%_mandir/man1

%clean
%__rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%py_platsitedir/twisted/conch
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info
%_mandir/man1/*




%changelog
* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514220
- Update to 10.0.0.

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485419
- Requires pyasn1 now according to 9.0.0 announcement
- Update to new version 9.00
- Remove unneeded python 2.6 patch

* Wed Aug 12 2009 Paulo Andrade <pcpa@mandriva.com.br> 8.2.0-2mdv2010.0
+ Revision: 415241
- Correct python 2.6 warnings about sha and md5 modules being deprecated.

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323849
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-2mdv2009.1
+ Revision: 318657
- rebuild for python 2.6

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219034
- update to 8.1.0

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 174922
- Adding new source
- 0.8.0 (needed by coherence)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.7.0-2mdv2008.1
+ Revision: 126213
- kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.0-2mdv2007.0
+ Revision: 96072
- Rebuild for new python
- Import python-twisted-conch

* Tue May 30 2006 Michael Scherer <misc@mandriva.org> 0.7.0-1mdv2007.0
- 0.7

* Mon Feb 06 2006 Michael Scherer <misc@mandriva.org> 0.6.0-2mdk
- remove noarch tag, use macro

* Wed Oct 26 2005 Michael Scherer <misc@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- rpmbuildupdate fix

* Mon May 16 2005 Michael Scherer <misc@mandriva.org> 0.5.0-2mdk
- reupload correct package

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 0.5.0-1mdk
- Initial package

